Retrieve a list of tables#
Description#
Returns all tables available in the workspace.
GET /api/v1/table
Required OAuth Scopes
No OAuth scopes are required to use this endpoint.
Parameters#
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
includeShared |
query |
boolean |
false |
If true, returns all tables shared with the workspace associated with the request. If false, returns only tables the workspace owns. |
cursor |
query |
string |
false |
a paging cursor; if included the limit is ignored |
limit |
query |
integer(int32) |
false |
the number of folders to return, from 1 to 1000; by default, 1000 |
offset |
query |
integer(int64) |
false |
The item to start with on the page, must be greater than or equal to 0, will default to 0 |
Code Samples#
curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/table \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/table \
Accept:application/json \
Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/table" \
--output-document - \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/table', headers = headers)
print(r.json())
Returns#
200 - OK#
Returns a JSON object with body and cursor properties.
bodycontains an array ofTableDtoobjects. If the request returns no results,bodycontains an empty array.cursorcontains a paging cursor, which can be included in the next call to the endpoint to retrieve the next set of results. If no additional results,cursorisnull.
Example Responses#
{
"body": [
{
"created": "string",
"databaseId": "string",
"datasetUpdated": "string",
"deleted": "boolean",
"description": "string",
"hierarchyMetadata": {
"childColumnId": "string",
"parentColumnId": "string"
},
"id": "string",
"isShared": "boolean",
"lastUploaded": "string",
"name": "string",
"parentId": "string",
"readOnly": "boolean",
"tableSchema": {
"columns": [
{
"alias": "string",
"description": "string",
"metadata": {},
"mode": "string",
"name": "string",
"type": "string"
}
]
},
"type": "string",
"uniqueTableConstraints": [
{
"description": "string",
"id": "string",
"name": "string",
"tableId": "string",
"values": [
"string"
]
}
],
"updated": "string",
"userId": "string",
"version": "integer"
}
],
"code": "integer",
"cursor": "string"
}